Skip to main content
PATCH
Patch Person

Headers

source
string | null
X-API-SIGNATURE
string
required

Signature header

X-API-TIMESTAMP
integer
required

Timestamp header

X-API-NONCE
string
required

Nonce header

X-API-SUBSCRIPTION-KEY
string
required

Account ID header

Path Parameters

person_id
string<uuid>
required

Body

application/json

Sparse person update schema for PATCH person endpoint.

first_name
string | null
middle_name
string | null
last_name
string | null
date_of_birth
string<date> | null
home_address
UpdatePersonAddressRequest · object | null

Sparse address update schema for PATCH person endpoint.

tin
string | null
email
string | null
phone
string | null
employer_name
string | null
employment_status
enum<string> | null

Enum for employment status.

Available options:
employed,
retired,
unemployed
occupation
string | null
ownership_percentage
integer | null
Required range: 0 <= x <= 100
work_title
string | null
controller
boolean | null

Response

Successful Response

Generic API response.

message
string
required
data
unknown